var path            = require('path'),
    express         = require('express'),
    http            = require('http'),
    mongoose        = require('mongoose'),
    LocalStrategy   = require('passport-local').Strategy;

var app = express();

// Configuration
app.configure(function(){
    app.set('port', process.env.PORT || 3000);
    app.set('views', __dirname + '/views');
    app.set('view engine', 'jade');
    app.set('view options', { layout: false });

    app.use(express.bodyParser());
    app.use(express.methodOverride());

    app.use(express.cookieParser('your secret here'));
    app.use(express.session());

    app.use(app.router);
    app.use(express.static(path.join(__dirname, 'public')));
});

// Connect mongoose
mongoose.connect('mongodb://localhost/local');

// Setup routes
require('./routes')(app);

http.createServer(app).listen(app.get('port'), function(){
  console.log('Express server listening on port ' + app.get('port'));
});
