var Page = require('../models/page');

module.exports = {

	createPage: function(obj, cb) {

		this.findPageByTitle(obj.title, function(docs){
			
			if(docs !== null){

				docs.heading = obj.heading;
				docs.save();

			}else {

				Page.ID++;
				Page.model({
					id: Page.ID,
					title:obj.title,
					heading:obj.heading
				}).save();

			}
		});
		
		cb();
	},

	updatePage: function(obj, cb) {
		this.findPageByID(obj.id,function(result){
			
			if(result !== null){
				result.title = obj.title;
				result.heading = obj.heading;
				result.save();
			}
			cb(result);
		});
	},

	deletePage: function(id, cb){
		this.findPageByID(id,function(result){

			if(result !== null){
				result.remove(function(err){
					if(err){cb(err);}
					else {cb('deleted');}
					
				});
			}
			cb(result);
			
		});
	},

	findPageByTitle: function(title, cb) {

		Page.model.findOne({title:title},function(err, docs){

			if(err){ cb(err); }
			else { cb(docs); }

		});

	},

	findPageByID: function(id, cb) {
		var _self = this;
		Page.model.findOne({id:id},function(err, docs){

			if(err){

				_self.findPageByTitle(id,function(err, docs){

					if(err){ cb(err); }
					else { cb(docs); }

				});
				
			}
			else { cb(docs); }
			
		});

	},

}