var Page_Controller = require('../controllers/Page_controller');

module.exports = function (app) {
    
    app.get('/page', function(req, res) {
    	
        res.send('GET page');
    });

    app.post('/page', function(req, res) {

        var obj = {
            title: req.body.title,
            heading: req.body.heading
        };

    	Page_Controller.createPage(obj, function() {
    		
            res.send('done');
    	});

    });

    app.get('/page/:id', function(req, res) {

        Page_Controller.findPageByID(req.params.id, function(docs) {
            
            res.send(docs);
        });
    });

    app.put('/page/:id', function(req, res) {

        var obj = {
            id: req.params.id,
            title: req.body.title,
            heading: req.body.heading
        };

        Page_Controller.updatePage(obj, function(docs) {
            
            res.send(docs);
        });
    });

    app.delete('/page/:id', function(req, res) {

        Page_Controller.deletePage(req.params.id, function(docs) {
            
            res.send(docs);
        });
    });


};